<?php

//************************************************************************************
//                   vbtube Mod for vBulletin http://www.s7v7n.com
//************************************************************************************

// ************************ SET PHP ENVIRONMENT **************************
error_reporting(E_ALL & ~E_NOTICE);
@set_time_limit(0);

// ******************** PRE-CACHE TEMPLATES AND DATA **********************
$phrasegroups = array(
	'vbtube',
	'style'
);

$specialtemplates = array('products');

// ************************** REQUIRE BACK-END ****************************
require_once('./global.php');
require_once(DIR . '/includes/adminfunctions_template.php');

print_cp_header();

if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'main';
}

// **********************************************************************
// ********************** START SHOW CATEGORIES *************************
// **********************************************************************
if ($_REQUEST['do'] == 'categories')
{
print_form_header('vbtube_admin', 'update');
	print_table_header(Categories, 6);
	print_cells_row(array(Category, Controls, Display), 1, 'tcat');

	//Hidden Field To Update Display
	echo "<input type=\"hidden\" name=\"update_what\" value=\"display_cat\">";

	//Get Categories
 	$categories_get = $db->query_read("
		SELECT title, categoryid, display
		FROM " . TABLE_PREFIX . "vbtube_categories
		ORDER BY display ASC
	");

	//Functions For Drop Down Controls
?>
	<script type="text/javascript">
	<!--
	function js_category_jump(categoryinfo) {
			action = eval("document.cpform.f" + categoryinfo + ".options[document.cpform.f" + categoryinfo + ".selectedIndex].value");
		if (action != '') {
			switch (action) {
				case 'edit':
					page = "vbtube_admin.php?do=editcat&categoryid=";
					break;
				case 'delete':
					page = "vbtube_admin.php?do=deletecat&categoryid=";
					break;
			}
			document.cpform.reset();
			jumptopage = page + categoryinfo;
			window.location = jumptopage;
		} else {
			alert('');
		}
	}
	//-->
	</script>
<?php
	//Build Category Rows
	while ($category = $db->fetch_array($categories_get))
	{
			$cell[1] .= "<a href=\"vbtube_admin.php?do=edit&fieldid=$category[categoryid]\"><b>$category[title]</b></a>";

				$cell[2] .= "\n\t<div style=\"float: right;\">
				<select class=\"bginput\" name=\"f$category[categoryid]\">
				<option value=\"edit\">Edit</option>
				<option value=\"delete\">Delete</option></select>
				<input type=\"button\" class=\"button\" value=\"".$vbphrase['go']."\" onclick=\"js_category_jump($category[categoryid]);\" />
				</div>";

				$cell[3] .= "<input type=\"text\" class=\"bginput\" size=\"3\" name=\"display[$category[categoryid]]\" value=\"$category[display]\">";

				print_cells_row($cell);
				unset($cell);

	}

// Do Save Button
print_table_footer(6, "<input type=\"submit\" class=\"button\" tabindex=\"1\" value=\"  Save  \" accesskey=\"s\" />");
}

// **********************************************************************
// **********************  START ADD CATEGORIES *************************
// **********************************************************************
if ($_REQUEST['do'] == 'addcat')
{
print_form_header('vbtube_admin', 'update');
	echo "<input type=\"hidden\" name=\"update_what\" value=\"add_cat\">";
	print_table_header("Add A Category");
	print_input_row("Category Name<dfn>This is the name of the category you'd like to have.</dfn>", 'add_title');
	print_input_row("Display Number<dfn>Enter the display number for this category. The lower the number, the closer it is to being the first category that appears.</dfn>", 'add_display');
	print_submit_row("Submit!");
}


// **********************************************************************
// ********************** START EDIT CATEGORIES ************************
// **********************************************************************
if ($_REQUEST['do'] == 'editcat')
{
print_form_header('vbtube_admin', 'update');
$categoryid = $_REQUEST['categoryid'];

 	$category = $db->query_first("
		SELECT title, categoryid, display, forumid
		FROM " . TABLE_PREFIX . "vbtube_categories
		WHERE categoryid = $categoryid
		LIMIT 1
	");

	echo "<input type=\"hidden\" name=\"update_categoryid\" value=\"$category[categoryid]\">";
	echo "<input type=\"hidden\" name=\"update_what\" value=\"edit_cat\">";
	print_table_header("Edit: $category[title]");
	print_input_row("Category Name<dfn>This is the name of the category you'd like to have.</dfn>", 'update_title', $category[title]);
	print_input_row("Display Number<dfn>Enter the display number for this category. The lower the number, the closer it is to being the first category that appears.</dfn>", 'update_display', $category[display]);
	print_submit_row("Save");
}



// **********************************************************************
// ************************ START UPDATE THINGS **************************
// **********************************************************************
if ($_REQUEST['do'] == 'update')
{

// **********************************************************************
// ******************** START UPDATE EDITED CATEGORIES ******************
// **********************************************************************
// Update Edited
if ($_POST['update_what'] == 'edit_cat')
	{
$categoryid= $_POST['update_categoryid'];
$title= addslashes($_POST['update_title']);
$display= addslashes($_POST['update_display']);
$forumid= addslashes($_POST['update_forumid']);

			$vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_categories
										SET	title = '$title',
											display = '$display',
											forumid = '$forumid'
											WHERE categoryid = $categoryid
   										");
	define('CP_REDIRECT', 'vbtube_admin.php?do=categories');
	print_stop_message(vbtube_category_updated);
	}


// **********************************************************************
// ******************** START UPDATE ADDED CATEGORY ********************
// **********************************************************************
if ($_POST['update_what'] == 'add_cat')
	{
$title= addslashes($_POST['add_title']);
$display= addslashes($_POST['add_display']);
$forumid= addslashes($_POST['add_forumid']);

			$vbulletin->db->query_write("INSERT " . TABLE_PREFIX . "vbtube_categories
										SET	title = '$title',
											display = '$display',
											forumid = '$forumid'
   										");
	define('CP_REDIRECT', 'vbtube_admin.php?do=categories');
	print_stop_message(vbtube_category_added);
	}


// **********************************************************************
// ************************ START UPDATE DISPLAY ************************
// **********************************************************************
if ($_POST['update_what'] == 'display_cat')
	{
 	$categories_get = $db->query_read("
		SELECT title, categoryid, display
		FROM " . TABLE_PREFIX . "vbtube_categories
		ORDER BY categoryid DESC
	");

	while ($category = $db->fetch_array($categories_get)){

	//Get Display Number
	$display = addslashes($_POST['display'][$category[categoryid]]);

			$vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_categories
										SET	display = '$display'
										    WHERE categoryid = $category[categoryid]
   										");
		}
	define('CP_REDIRECT', 'vbtube_admin.php?do=categories');
	print_stop_message(vbtube_category_updated);
	}

}


// **********************************************************************
// ********************** START DELETE CATEGORIES **********************
// **********************************************************************
if ($_REQUEST['do'] == 'deletecat')
	{
//Get Category ID
$categoryid= $_REQUEST['categoryid'];

			$vbulletin->db->query_write("DELETE FROM " . TABLE_PREFIX . "vbtube_categories
								              WHERE categoryid = '$categoryid'
								              LIMIT 1
   										");

	define('CP_REDIRECT', 'vbtube_admin.php?do=categories');
	print_stop_message(vbtube_category_deleted);
	}

// **********************************************************************
// ****************** SHOW tubes FOR APPROVAL **************************
// **********************************************************************
if ($_REQUEST['do'] == 'profiles')
{
print_form_header('vbtube_admin', 'update');
	print_table_header(tubes, 3);
	print_cells_row(array(tube, Username, Controls), 1, 'tcat');

	//Hidden Field To Update Display
	echo "<input type=\"hidden\" name=\"update_what\" value=\"display_tube\">";

	//Get tubes
 	$tubes_get = $db->query_read("
		SELECT tubeid, title, username, tube, link1, link1img
		FROM " . TABLE_PREFIX . "vbtube_tubes WHERE active='0'
		ORDER BY tubeid ASC
	");

	//Functions For Drop Down Controls
?>
	<script type="text/javascript">
	<!--
	function js_tube_jump(tubeinfo) {
			action = eval("document.cpform.f" + tubeinfo + ".options[document.cpform.f" + tubeinfo + ".selectedIndex].value");
		if (action != '') {
			switch (action) {
                case 'none':
					page = "vbtube_admin.php?do=profiles";
					break;
				case 'approve':
					page = "vbtube_admin.php?do=apppro&tubeid=";
					break;
				case 'reject':
					page = "vbtube_admin.php?do=rejpro&tubeid=";
					break;
			}
			document.cpform.reset();
			jumptopage = page + tubeinfo;
			window.location = jumptopage;
		} else {
			alert('');
		}
	}
	//-->
	</script>
<?php
	//Build Category Rows
	while ($tube = $db->fetch_array($tubes_get))
	{
	$cell[1] .= "<div align=\"left\"><a target=\"_blank\" href=\"../vbtube_show.php?do=admin&tubeid=$tube[tubeid]\"><img border=\"0\" src=\"$tube[link1img]\" width=\"100\"></a><br>$tube[title]</div>";
    $cell[2] .= "<a target=\"_blank\" href=\"../vbtube_show.php?do=admin&tubeid=$tube[tubeid]\"><b>$tube[username]</b></a>";
    $cell[3] .= "\n\t<div style=\"float: right;\">
				<select class=\"bginput\" name=\"f$tube[tubeid]\">
                <option value=\"none\">Select Action</option>
				<option value=\"approve\">Approve</option>
				<option value=\"reject\">Reject</option></select>
				<input type=\"button\" class=\"button\" value=\"".$vbphrase['go']."\" onclick=\"js_tube_jump($tube[tubeid]);\" />
				</div>";

				print_cells_row($cell);
				unset($cell);

	}
}


// **********************************************************************
// ************************** APPROVE PROFILE **************************
// **********************************************************************
if ($_REQUEST['do'] == 'apppro')
	{
//Get tube ID
$tubeid= $_REQUEST['tubeid'];

			$vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
                                         SET active = '1',
										     reported = '0',
											 reporteruser = '0',
											 reportreason = '0',
											 reportcategory = '0'
								         WHERE tubeid = '$tubeid'
   										");


$useremail_get = $db->query_read("
		SELECT tubeid,
			   categoryid,
			   forumid,
			   title,
			   aboutme,
			   vidlang,
			   link,
			   link1img,
			   username,
			   userid,
			   email
			   FROM " . TABLE_PREFIX . "vbtube_tubes
        	   WHERE tubeid = '$tubeid'
        	   LIMIT 1
			");

$usereviews=$vbulletin->options[vbtube_reviews_enable];
$fromsite = $vbulletin->options['bbtitle'];
$fromemail = $vbulletin->options['webmasteremail'];
$useremail = $db->fetch_array($useremail_get);
$toemail = addslashes(strip_tags($useremail['email']));
$tubeid = $useremail['tubeid'];
$categoryid = $useremail['categoryid'];
$forumid = $useremail['forumid'];
$title = addslashes(strip_tags($useremail['title']));
$aboutme = addslashes(strip_tags($useremail['aboutme']));
$vidlang = $useremail['vidlang'];
$link1img = addslashes(strip_tags($useremail['link1img']));
$link = addslashes(strip_tags($useremail['link']));
$username = $useremail['username'];
$userid = $useremail['userid'];
$priority = "4";
$emailsubject = $vbphrase['vbtube_email_approved'];
$message = $vbulletin->options['vbtube_pr_approved'];



		     // Update Category Totals
		     $vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_categories
				                        SET	totaltubes = totaltubes +1
					                    WHERE categoryid = '$categoryid'
   				                        ");

// Headers
$headers="From: ".$fromsite." <".$fromemail.">\n";
$headers.="Reply-To: ".$fromsite." <".$fromemail.">\n";
$headers.="MIME-Version: 1.0\n";
$headers.="X-Sender: ".$_SERVER['REMOTE_ADDR']."\n";
$headers.="X-Mailer: PHP/".phpversion()."\n";
$headers.="X-Priority: ".$priority."\n";
$headers.="Return-Path: <".$fromemail.">\n";
if ($toemail <> '') {
   mail($toemail,$emailsubject,$message,$headers);
}

	define('CP_REDIRECT', 'vbtube_admin.php?do=profiles');
	print_stop_message(vbtube_profileapproved);
	}

// **********************************************************************
// ************************** REJECT PROFILE ****************************
// **********************************************************************
if ($_REQUEST['do'] == 'rejpro')
	{

//Get tube ID
$tubeid= $_REQUEST['tubeid'];

// Inform member by email
$useremail_get = $db->query_read("
		SELECT tubeid, email
		FROM " . TABLE_PREFIX . "vbtube_tubes
        WHERE tubeid = '$tubeid'
        LIMIT 1
	");
$fromsite = $vbulletin->options['bbtitle'];
$fromemail = $vbulletin->options['webmasteremail'];
$useremail = $db->fetch_array($useremail_get);
$toemail = $useremail['email'];
$priority = "4";
$emailsubject = $vbphrase['vbtube_email_rejected'];
$message = $vbulletin->options['vbtube_pr_rejected'];
 //Headers
$headers="From: ".$fromsite." <".$fromemail.">\n";
$headers.="Reply-To: ".$fromsite." <".$fromemail.">\n";
$headers.="MIME-Version: 1.0\n";
$headers.="X-Sender: ".$_SERVER['REMOTE_ADDR']."\n";
$headers.="X-Mailer: PHP/".phpversion()."\n";
$headers.="X-Priority: ".$priority."\n";
$headers.="Return-Path: <".$fromemail.">\n";
if ($toemail <> '') {
   mail($toemail,$emailsubject,$message,$headers);
}


			$vbulletin->db->query_write("DELETE FROM " . TABLE_PREFIX . "vbtube_tubes
								              WHERE tubeid = '$tubeid'
								              LIMIT 1
   										");

	define('CP_REDIRECT', 'vbtube_admin.php?do=profiles');
	print_stop_message(vbtube_profiledeleted);
	}

// **********************************************************************
// ************************** tube IS OK ******************************
// **********************************************************************
if ($_REQUEST['do'] == 'apppro')
	{
//Get tube ID
$tubeid= $_REQUEST['tubeid'];

			$vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
                                         SET reported = '0',
                                             reporteruser = '',
                                             reportcategory = '',
                                             reportreason = ''
								         WHERE tubeid = '$tubeid'
   										");

	define('CP_REDIRECT', 'vbtube_admin.php?do=profiles');
	print_stop_message(vbtube_profileapproved);
	}


// **********************************************************************
// ************************** DELETE tube ******************************
// **********************************************************************
if ($_REQUEST['do'] == 'rejpro')
	{


//Get tube ID
$tubeid= $_REQUEST['tubeid'];

$vbulletin->db->query_write("DELETE FROM " . TABLE_PREFIX . "vbtube_tubes
			                 WHERE tubeid = '$tubeid'
							 LIMIT 1
   							");

	define('CP_REDIRECT', 'vbtube_admin.php?do=profiles');
	print_stop_message(vbtube_profiledeleted);
}



// **********************************************************************
// ************************ REBUILD COUNT *******************************
// **********************************************************************
if ($_REQUEST['do'] == 'rebuild')
{
    $categories = $db->query_read("
		SELECT *
		FROM " . TABLE_PREFIX . "vbtube_categories
		ORDER BY categoryid
	");

	while ($category = $db->fetch_array($categories)){
           $total = $db->query_first("
		   SELECT COUNT(*) AS total
		   FROM " . TABLE_PREFIX . "vbtube_tubes
		   WHERE categoryid = $category[categoryid]
		   ORDER BY categoryid
	       ");
           $vbulletin->db->query_write("UPDATE
		   " . TABLE_PREFIX . "vbtube_categories
		   SET totaltubes = '$total[total]'
		   WHERE categoryid = $category[categoryid]
		   LIMIT 1
	       ");
    }
	print_stop_message('vbtube_counters_updated');
}



print_table_footer();

print_cp_footer();
?>
