<?php
// Setup PHP Enviropment
error_reporting(E_ALL & ~E_NOTICE);
// Define Contants
define('THIS_SCRIPT', 'vbtube_action');

// get special phrase groups
$phrasegroups = array(
	'vbtube');

// Cache Templates & Variables
$specialtemplates = array();

$globaltemplates = array();

$actiontemplates = array();

// Include Globals
require_once('./global.php');

// ------------------------------------------------------------------------------------

$menusize = $vbulletin->options[vbtube_menu_size];
$leftcolumn_size = $vbulletin->options[vbtube_left_column];
$charcolor2 = $vbulletin->options[vbtube_charcolor2];
$sponsor = $vbulletin->options[vbtube_tube_sponsor];
$leftbox = $vbulletin->options[vbtube_tube_leftbox];
$rightbox = $vbulletin->options[vbtube_tube_rightbox];
$midbox = $vbulletin->options[vbtube_tube_midbox];

$seoon = $vbulletin->options[vbtube_seopower];
if($seoon==1) { $seopower="&title=$seotitle"; }

// Check Permissions

if(!($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canuse'])){
    print_no_permission();
}

// #######################################################################
// ############################ delete ###################################
// #######################################################################
if ($_REQUEST['do'] == 'del'){

  // Get TubeID
  $vbulletin->input->clean_array_gpc('r', array(
		'tubeid'			=> TYPE_UINT
  ));
  $tubeid = $vbulletin->GPC['tubeid'];

	// Get TubeData for actions
      $tubes_get = $vbulletin->db->query_read("
	    SELECT tubeid, categoryid, userid, active
        FROM " . TABLE_PREFIX . "vbtube_tubes
        WHERE tubeid='$tubeid' AND active=1
	    ");

        $tubes = $vbulletin->db->fetch_array($tubes_get);

		if($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['candelete'] AND ($vbulletin->userinfo[userid] == $tubes[userid])){
         $vbulletin->db->query_first("DELETE FROM " . TABLE_PREFIX . "vbtube_tubes
	    			WHERE tubeid = $tubeid
   		 		");

	     $vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_categories
				SET	totaltubes = totaltubes -1
				WHERE categoryid = $tubes[categoryid]
   				");

		eval(print_standard_redirect('vbtube_tube_deleted', true, true));
	    }

		 // Is Moderator
		 if($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canmod']){
         $vbulletin->db->query_first("DELETE FROM " . TABLE_PREFIX . "vbtube_tubes
	    			WHERE tubeid = $tubeid
   		 		");

				$vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_categories
				SET	totaltubes = totaltubes -1
				WHERE categoryid = $tubes[categoryid]
   				");

		eval(print_standard_redirect('vbtube_tube_deleted', true, true));
	    }

		eval(print_standard_redirect('vbtube_no_delete_tube', true, true));
}
// #######################################################################
// ############################ edit  ####################################
// #######################################################################
if ($_REQUEST['do'] == 'edit'){

  // Get TubeID
  $vbulletin->input->clean_array_gpc('r', array(
		'tubeid'			=> TYPE_UINT
  ));
  $tubeid = $vbulletin->GPC['tubeid'];
  $tubeid=htmlspecialchars($tubeid);

// ------------------------------------------------------------------------------------

	// Get TubeData for actions
      $tubes_get = $vbulletin->db->query_read("
	    SELECT tubeid, categoryid, vidlang, title, link1img, aboutme, userid,  keywords, active
        FROM " . TABLE_PREFIX . "vbtube_tubes
        WHERE tubeid='$tubeid'
	    ");

        $tubes = $vbulletin->db->fetch_array($tubes_get);

// ------------------------------------------------------------------------------------

		// Get All Categories For Drop Down
		$get_categories = $vbulletin->db->query_read("
	              SELECT title, categoryid, display, forumid
		          FROM " . TABLE_PREFIX . "vbtube_categories
	              ");
	              while ($categories = $vbulletin->db->fetch_array($get_categories)){
                  // Set Option Values
	              $option = $categories['title'];
	              $optionid = $categories['categoryid'];
				  // Make Option Selected If Needed
		          unset ($optionselected);
		          if ($categories['categoryid'] == $categoryid){
		            $optionselected = " selected=selected";
		          }
	              // Create Categories
	              $catoptions .= '<option value="' . $optionid . '"' . $optionselected . '>' . $option . '</option>';
	              }

	              $catoptions .= '<option selected value="' . $tubes[categoryid] . '"' . $optionselected . '>' . $tubes[categoryid] . '</option>';

		// Create Vidlang Dropdown
		ob_start();
		include('vbtube/includes/vbtube_vidlangs.inc.php');
		$vbtube_vidlangs = ob_get_contents();
		$vbtube_vidlangs .= '<option selected value="' . $tubes[vidlang] . '"' . $optionselected . '>' . $tubes[vidlang] . '</option>';
		ob_end_clean();

// ------------------------------------------------------------------------------------

		// vbtube Categories
  		$categories_get = $vbulletin->db->query_read("
	    SELECT title, categoryid, display, totaltubes
        FROM " . TABLE_PREFIX . "vbtube_categories
        ORDER BY display ASC
	    ");
         	while ($category = $vbulletin->db->fetch_array($categories_get)){
               $totalcats ++;
               eval('$categories .= "' . fetch_template('vbtube_categorybit') . '";');
         	}


// ------------------------------------------------------------------------------------

		 	eval('$edittube .= "' . fetch_template('vbtube_edittube') . '";');
			eval('$usermenu .= "' . fetch_template('vbtube_usermenu') . '";');
			eval('$searchbit .= "' . fetch_template('vbtube_searchbit') . '";');
			eval('$lastkeybit .= "' . fetch_template('vbtube_lastkeybit') . '";');
			eval('$catbit .= "' . fetch_template('vbtube_catbit') . '";');

  			if($sponsor) {
       		 eval('$sponsorbit .= "' . fetch_template('vbtube_sponsorbit') . '";');
	   		}

	$navbits = construct_navbits(array("vbtube_cat.php?do=all&categoryid=1&startid=0$seopower" . $vbulletin->session->vars['sessionurl'] => $vbphrase['vbtube'], '' => $vbphrase['vbtube_newtube']));
	eval('$navbar = "' . fetch_template('navbar') . '";');
 	eval('print_output("' . fetch_template('vbtube_editview') . '");');

	}

// #######################################################################
// ############################ Save edited ##############################
// #######################################################################

if ($_REQUEST['do'] == 'editnow'){

// Get Values
  $vbulletin->input->clean_array_gpc('r', array(
		'tubeid'			=> TYPE_UINT
  ));

// ------------------------------------------------------------------------------------

  $tubeid = $vbulletin->GPC['tubeid'];
  $tubeid=htmlspecialchars($tubeid);
  $title= addslashes(strip_tags($_POST['title']));
  $aboutme= addslashes(strip_tags($_POST['aboutme']));
  $keywords= addslashes(strip_tags($_POST['keywords']));
  $categoryid= addslashes(strip_tags($_POST['categoryid']));
  $vidlang= addslashes(strip_tags($_POST['vidlang']));
  $vidlang=htmlspecialchars($vidlang);
  $link1img= addslashes(strip_tags($_POST['link1img']));
  $link1img=htmlspecialchars($link1img);

             			$title = ereg_replace('"',"",$title);
             			$title = ereg_replace("'","",$title);
						$title=htmlspecialchars($title);
						$title = stripslashes($title);
             			$aboutme = ereg_replace('"',"",$aboutme);
			 			$aboutme = ereg_replace("'","",$aboutme);
			 			$aboutme=htmlspecialchars($aboutme);
						$aboutme = stripslashes($aboutme);
						$keywords = ereg_replace('"',"",$keywords);
						$keywords = ereg_replace("'","",$keywords);
						$keywords=htmlspecialchars($keywords);
						$keywords = stripslashes($keywords);


// ------------------------------------------------------------------------------------

  	// Get TubeData for actions
      $tubes_get = $vbulletin->db->query_read("
	    SELECT tubeid,  userid
        FROM " . TABLE_PREFIX . "vbtube_tubes
        WHERE tubeid='$tubeid'
	    ");

        $tubes = $vbulletin->db->fetch_array($tubes_get);

// ------------------------------------------------------------------------------------

        // Permissions Check and Start saving edited Tube (user)
		if($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canedit'] AND ($vbulletin->userinfo[userid] == $tubes[userid]))
		{
	     // Save now
         $vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
				SET	title = '$title',
                    aboutme = '$aboutme',
                    keywords = '$keywords',
                    link1img = '$link1img',
                    vidlang = '$vidlang',
                    categoryid = '$categoryid'
					WHERE tubeid = '$tubeid'
   				");


		            eval(print_standard_redirect('vbtube_tube_added', true, true));
		 }

// ------------------------------------------------------------------------------------

		// Permissions Check and Start saving edited Tube (is Moderator or Admin)
		if($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canmod'])

		{
	     // Save now

         $vbulletin->db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
				SET	title = '$title',
                    aboutme = '$aboutme',
                    link1img = '$link1img',
                    keywords = '$keywords',
                    vidlang = '$vidlang',
                    categoryid = '$categoryid'
					WHERE tubeid = '$tubeid'
   				");


		            eval(print_standard_redirect('vbtube_tube_added', true, true));
		 }

		 eval(print_standard_redirect('vbtube_no_edit_tube', true, true));


}
?>